Page MenuHomePhabricator

Wireguard: fwmark setting is not honored
Closed, ResolvedPublic

Description

When using wireguard interfaces, the fwmark setting is currently not honored. This can be observed with setting a fwmark in the configuration and then verifying the fwmark using "sudo wg show". No fwmark setting seems to be applied.

When setting the fwmark manually with "sudi wg set wg01 fwmark 100" it works properly and is reflected in "sudo wg show".

Details

Difficulty level
Unknown (require assessment)
Version
1.2.0
Why the issue appeared?
Will be filled on close

Event Timeline

fetzerms created this object in space S1 VyOS Public.
pasik added a subscriber: pasik.Jun 10 2019, 5:13 PM
dmbaturin closed this task as Resolved.Jul 10 2019, 6:08 PM
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.Aug 5 2019, 12:22 PM
syncer reopened this task as Backport candidate.Aug 31 2019, 3:43 AM
syncer reassigned this task from fetzerms to dmbaturin.
syncer triaged this task as Normal priority.
syncer closed this task as Resolved.Aug 31 2019, 4:01 AM
syncer moved this task from Needs Triage to Finished on the VyOS 1.2 Crux (VyOS 1.2.3) board.